Debian Bug report logs - #338234
ncurses-base: mc output broken with TERM=cygwin

version graph

Package: ncurses-base; Maintainer for ncurses-base is Craig Small <csmall@debian.org>; Source for ncurses-base is src:ncurses.

Reported by: Baurzhan Ismagulov <ibr@radix50.net>

Date: Tue, 8 Nov 2005 22:48:08 UTC

Severity: normal

Tags: patch

Found in version ncurses-base/5.5-1

Fixed in version ncurses/5.5-2

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#338234; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ncurses-base: mc output broken with TERM=cygwin
Date: Tue, 08 Nov 2005 23:32:14 +0100
[Message part 1 (text/plain, inline)]
Package: ncurses-base
Version: 5.5-1
Severity: normal
Tags: patch


Hello Daniel,

mc doesn't display lines correctly. To reproduce:

* Start "Cygwin Bash Shell" from the Windows menu. TERM is cygwin.

* Ssh to a Linux box running sid. TERM is cygwin.

* Start mc.


The problem goes away when I patch smacs with the value from cygwin's
terminfo.


Thanks in advance,
Baurzhan.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.12-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages ncurses-base depends on:
ii  libncurses5                   5.4-9      Shared libraries for terminal hand

-- no debconf information
[cygwin.diff (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#338234; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #10 received at 338234@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Baurzhan Ismagulov <ibr@radix50.net>, 338234@bugs.debian.org
Subject: Re: Bug#338234: ncurses-base: mc output broken with TERM=cygwin
Date: Tue, 8 Nov 2005 18:21:26 -0500 (EST)
On Tue, 8 Nov 2005, Baurzhan Ismagulov wrote:

> Package: ncurses-base
> Version: 5.5-1
> Severity: normal
> Tags: patch
>
>
> Hello Daniel,
>
> mc doesn't display lines correctly. To reproduce:
>
> * Start "Cygwin Bash Shell" from the Windows menu. TERM is cygwin.
>
> * Ssh to a Linux box running sid. TERM is cygwin.
>
> * Start mc.
>
>
> The problem goes away when I patch smacs with the value from cygwin's
> terminfo.

I see that I have smacs=\E11m, from an earlier version of cygwin's 
terminfo (2003/7/19).  Compare with rmacs=\E[10m

A quick check with mc (which I normally don't use) didn't show a problem, 
but I see that this correction fixes one of the problems that tack shows 
with cygwin console window (so I should have noticed it before).

Apparently this is a fix that someone made for cygwin since I added those 
changes (it would be nice to know when that fix was made, in case there 
are other changes).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#338234; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #15 received at 338234@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: 338234@bugs.debian.org
Subject: Re: Bug#338234: ncurses-base: mc output broken with TERM=cygwin
Date: Wed, 9 Nov 2005 22:36:32 +0100
On Tue, Nov 08, 2005 at 06:21:26PM -0500, Thomas Dickey wrote:
> Apparently this is a fix that someone made for cygwin since I added those 
> changes (it would be nice to know when that fix was made, in case there 
> are other changes).

There are no other changes in the latest cygwin ncurses. The change
seems to be in ncurses-5.4-4.patch, the right file is called
ncurses-5.4/misc/terminfo.src and is dated 2005-09-28. Are you going to
include this?

BTW, http://directory.fsf.org/GNU/ncurses.html doesn't mention any
repository; is it how it was intended to be?

With kind regards,
Baurzhan.



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#338234; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #20 received at 338234@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Baurzhan Ismagulov <ibr@radix50.net>, 338234@bugs.debian.org
Subject: Re: Bug#338234: ncurses-base: mc output broken with TERM=cygwin
Date: Wed, 9 Nov 2005 17:48:47 -0500 (EST)
On Wed, 9 Nov 2005, Baurzhan Ismagulov wrote:

> On Tue, Nov 08, 2005 at 06:21:26PM -0500, Thomas Dickey wrote:
>> Apparently this is a fix that someone made for cygwin since I added those
>> changes (it would be nice to know when that fix was made, in case there
>> are other changes).
>
> There are no other changes in the latest cygwin ncurses. The change
> seems to be in ncurses-5.4-4.patch, the right file is called
> ncurses-5.4/misc/terminfo.src and is dated 2005-09-28. Are you going to
> include this?

I looked up the cygwin package, which is dated 2004-10-09, and see the
answer there:

Port Notes:
----- version 5.4_20041009-1 -----
Resync'ed with 20041009 patchlevel of ncurses-5.4
Added fix for smacs glyph on cygwin (tx. Bas van Gompel)

(the cygwin package maintainers do not as a matter of practice forward
fixes upstream).

> BTW, http://directory.fsf.org/GNU/ncurses.html doesn't mention any
> repository; is it how it was intended to be?

yes.  I put development patches (currently) in

	ftp://invisible-island.net/ncurses/5.5/

> With kind regards,
> Baurzhan.
>

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Baurzhan Ismagulov <ibr@radix50.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 338234-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 338234-close@bugs.debian.org
Subject: Bug#338234: fixed in ncurses 5.5-2
Date: Tue, 02 May 2006 10:15:05 -0700
Source: ncurses
Source-Version: 5.5-2

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

lib32ncurses5-dev_5.5-2_amd64.deb
  to pool/main/n/ncurses/lib32ncurses5-dev_5.5-2_amd64.deb
lib32ncurses5_5.5-2_amd64.deb
  to pool/main/n/ncurses/lib32ncurses5_5.5-2_amd64.deb
libncurses5-dbg_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.5-2_amd64.deb
libncurses5-dev_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncurses5-dev_5.5-2_amd64.deb
libncurses5_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncurses5_5.5-2_amd64.deb
libncursesw5-dbg_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.5-2_amd64.deb
libncursesw5-dev_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.5-2_amd64.deb
libncursesw5_5.5-2_amd64.deb
  to pool/main/n/ncurses/libncursesw5_5.5-2_amd64.deb
ncurses-base_5.5-2_all.deb
  to pool/main/n/ncurses/ncurses-base_5.5-2_all.deb
ncurses-bin_5.5-2_amd64.deb
  to pool/main/n/ncurses/ncurses-bin_5.5-2_amd64.deb
ncurses-term_5.5-2_all.deb
  to pool/main/n/ncurses/ncurses-term_5.5-2_all.deb
ncurses_5.5-2.diff.gz
  to pool/main/n/ncurses/ncurses_5.5-2.diff.gz
ncurses_5.5-2.dsc
  to pool/main/n/ncurses/ncurses_5.5-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 338234@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Apr 2006 16:35:05 -0400
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term lib32ncurses5-dev lib32ncurses5 libncurses5-dbg lib64ncurses5-dev
Architecture: source amd64 all
Version: 5.5-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 lib32ncurses5 - Shared libraries for terminal handling (32-bit)
 lib32ncurses5-dev - Developer's libraries for ncurses (32-bit)
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 316663 334099 335655 338234 339518 341661 344022 344442 354281 355129 364339
Changes: 
 ncurses (5.5-2) unstable; urgency=low
 .
   * Update to upstream patch level 20060422.
     - Correct missing and bogus copyright notices (Closes: #364339).
     - Correct a typo in the infocmp(1) man page (Closes: 354281).
     - Correct wins_nwstr for single-column non-8bit codes (Closes: #341661).
     - Remove a redundant test in lib_color.c (Closes: #335655).
     - Ignore EINTR in tcgetattr/tcsetattr calls (Closes: #339518).
     - Correct smacs in cygwin terminfo (Closes: #338234).
     - Two additional fixes for wide character display (Closes: #316663)
       (again).
   * Acknowledge NMU (Closes: #355129).
   * Update control file for the removal of Section: base.
   * Use DEB_HOST_ARCH to determine whether to build biarch packages,
     based on patch from Aurelien Jarno (Closes: #334099).
   * Make lib64ncurses5-dev depend on lib64c-dev (Closes: #344022).
   * Add 32-bit library support on amd64, based loosely on Ubuntu
     patch (Closes: #344442).
   * Package debugging versions of libncurses++.a.
   * Update to debhelper compatibility level 5.
   * Update policy version to 3.7.0.0.
   * Use shorter symlinks within terminfo directories when possible
     (e.g. xx -> xy instead of xx -> ../x/xy).
Files: 
 67d1c3aeade59080eef852163369aad1 1016 libs standard ncurses_5.5-2.dsc
 e364f6c9b4069858811380d9413aa4c1 267511 libs standard ncurses_5.5-2.diff.gz
 5f8ac6f2c5152312ecb99d16b2b2694f 326914 libs required libncurses5_5.5-2_amd64.deb
 44f7971b876d8cc3bd938d30ef4086e1 1397902 libdevel optional libncurses5-dev_5.5-2_amd64.deb
 fa793b111679e39e6aac5652d0a7b58a 1625338 libdevel extra libncurses5-dbg_5.5-2_amd64.deb
 013032d9e1a01eadaf3e4154c05fc959 346736 libs important libncursesw5_5.5-2_amd64.deb
 ff2c0635f32d9a6d8f87c6e312a839eb 468774 libdevel optional libncursesw5-dev_5.5-2_amd64.deb
 bbd416d325ec51d229c18597bdb84401 1820344 libdevel extra libncursesw5-dbg_5.5-2_amd64.deb
 04636992af89ec30cd06ac18dada041f 299652 libs optional lib32ncurses5_5.5-2_amd64.deb
 8b8ca4b089a10bd5407625b94bc6e2e0 357666 libdevel optional lib32ncurses5-dev_5.5-2_amd64.deb
 7697188007849a705bc1efca8af7de32 230776 utils required ncurses-bin_5.5-2_amd64.deb
 fe09b1b13bb5a5e0e914e3a6490c31cd 12848 utils required ncurses-base_5.5-2_all.deb
 db626d5770c5b02d1558ee43a34759d7 277468 admin standard ncurses-term_5.5-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEVTPbbgOPXuCjg3cRAngGAKCfr5oyaW7U50fclhLvwsyye4WivgCdFjBo
YedoELXd6ahM8lkmXxb10YU=
=CTxs
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#338234; Package ncurses-base. Full text and rfc822 format available.

Acknowledgement sent to Baurzhan Ismagulov <ibr@radix50.net>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #30 received at 338234@bugs.debian.org (full text, mbox):

From: Baurzhan Ismagulov <ibr@radix50.net>
To: 338234@bugs.debian.org
Subject: Re: Bug#338234 acknowledged by developer (Bug#338234: fixed in ncurses 5.5-2)
Date: Wed, 3 May 2006 22:20:31 +0200
On Tue, May 02, 2006 at 10:33:58AM -0700, Debian Bug Tracking System wrote:
> We believe that the bug you reported is fixed in the latest version of
> ncurses, which is due to be installed in the Debian FTP archive:

Thanks!

With kind regards,
Baurzhan.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 04:26:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:58:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.